<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
	
<title>Manage Product</title>
<style>


	thead{
		
		color:white;
		white-space:nowwrap;
		
		
	}
	th{
		font-size:24px;
		font-family:arial;
		width: 200px;
		
	}
	td{
		height:20px;
	}
	
	.btn{
		width:100px;
		margin-right:2px;
	}
	
</style>

</head>
<body>
<div class="container-fluid" >
        
        
    <nav class="navbar navbar-expand-md  navbar-dark bg-dark " >
        <button class="navbar-toggler " data-bs-toggle="collapse" data-bs-target="#hamburger">
            <span class="navbar-toggler-icon "></span>
        </button>
       
       
        <div class="collapse navbar-collapse pt-1 pb-1" id="hamburger">
      
            <ul class="navbar-nav ms-auto pt-1 pb-1" >
               	<div> <h1 style="color:white;"> Product Management System </h1></div>
               		
	                <li class="nav-item " ><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link "></a></li>
               
            </ul>
        </div>
    </nav>
    </div>

<!-- Product starts here -->
<div class="row">
		<!-- <div class="alert alert-success" *ngIf='message'>{{message}}</div> -->

	<div class="container" style="margin-top:50px;">
	<div align="center"> 
	
		
		<a href="new" ><button class="btn btn-success" value="Edit" style="margin-bottom:30px; height:38px; width:200px; color:white; float:left;">Add a New Product </button></a>
		
		<table class="table table-striped table-bordered" >
			<thead class="bg-secondary">
				<tr > 
					<th>Product ID</th>
					<th>Image</th>
					<th>Name</th>
					<th>Price</th>
					<th> Action </th>
				</tr>
			 
			</thead>
			<tbody >
				<tr th:each="product : ${products}">
					<td th:text="${product.id}"/>
					<td><img th:src="@{${product.imageImagePath}}" style="width:100px; height:100px;"> </td>
					<td th:text="${product.name}"/>
					<td th:text="${product.price}"/>
					
					<td > 
						<a th:href="@{'/edit/'+${product.id}}"><button class="btn btn-primary" value="Edit">Edit </button></a>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<a th:href="@{'/delete/'+${product.id}}"><button class="btn btn-danger" value="Delete">Delete </button></a>
					</td>
					
				</tr>
			
			</tbody>
		</table>
	

<!-- Pagination starts here -->
<div th:if ="${totalPages>1}">
	<div class="row col-sm-10">
		<div class="col-sm-2">Total Rows:[[${totalItems}]]</div>
		<div class="col-sm-1">
			<span th:each="i: ${#numbers.sequence(1,totalPages)}">
			<a th:if="${currentPageAdmin !=i}" th:href="@{'/page/'+${i}}">[[${i}]]</a>
			<span th:unless="${currentPageAdmin !=i}">[[${i}]]</span>&nbsp; &nbsp;
			</span>
		
		</div>
		<div class="col-sm-1">
			<a th:if="${currentPageAdmin < totalPages}" th:href="@{'/page/'+ ${currentPageAdmin+1}}">Next</a>
			<span th:unless="${currentPageAdmin < totalPages}">Next</span>
		
		</div>
		<div class="col-sm-1">
			<a th:if="${currentPageAdmin < totalPages}" th:href="@{'/page/'+ ${currentPageAdmin+1}}">Last</a>
			<span th:unless="${currentPageAdmin < totalPages}">Last</span>
		
		</div>
	</div>

</div>

<!-- Pagination ends here the remaining divs enclose product, container and align -->
</div>
</div>
</div>

</body>
</html>